package com.uiuipad.appstore.fragment.featured;

import com.uiuipad.appstore.base.BasePresenter;
import com.uiuipad.appstore.base.BaseView;
import com.uiuipad.appstore.bean.AdminAppInfo;
import com.uiuipad.appstore.bean.AppClassBean;

import java.util.List;

public class FeaturedContact {
    public interface Presenter extends BasePresenter<FeaturedView> {
        void getAdminApp();
        void getAdminAppClass();
    }

    public interface FeaturedView extends BaseView {
        void setAdminApp(List<AdminAppInfo> appInfoList);
        void getAdminAppError();
        void getAdminAppFinish();
        void setAdminAppClass(List<AppClassBean> appClassBeanList);
        void getAdminAppClassError();
        void getAdminAppClassFinish();
    }
}
